@import "./fonts";
@import "./colors";
@import "./media";
.btn {
    max-width: 360px;
    width: 100%;
    padding: 18px 0 18px 0;
    outline: none;
    line-height: 24px;
    text-align: center;
    font-size: 20px;
    font-weight: 300;
    border-radius: 4px;
    border: 0;
    font-family: $robotoLight;

    &:hover{
        font-family: $robotoBold;
    }
    // .cmp-teaser__action-link {
    //     border: 1px solid #fff;
    //     color: #fff;
    // }
}

.primary-default {
    color: $primary-white;
    background-color: $primaryDefault;
}

.primary-disabled {
    color: $primaryDisabledText;
    background-color: $primaryDisabled;
}

.secondary-default {
    color: $primaryDefault;
    background-color: $primary-white;
    border: 1px solid $primaryDefault;
}

.secondary-disabled {
    color: $primaryDisabledText;
    background-color: $primaryDisabled;
}

.md-btn {
    max-width: 240px;
    padding: 12px 0 12px 0;
}

.sm-btn {
    max-width: 146px;
    padding: 8px 0 8px 0;
    font-size: 16px;
    line-height: 19.2px;

    @include mobile {
        max-width: 160px;
        padding: 6px 0 6px 0;
    }
}

.btn-icon {
    max-width: 66px;
    width: 100%;
    border: 0;
    padding: 30px 0 30px 0;
    background-color: #212121;
    border-radius: 4px;
    position: relative;

    &:after {
        content: "";
        position: absolute;
        background-image: url('../assets/images/icons/arrow-right.png');
        background-repeat: no-repeat;
        top: 33%;
        left: 28%;
        width: 27px;
        height: 21px;

        @include mobile {
            width: 17.5px;
            height: 12.32px;
            top: 35%;
            left: 31%;
            background-size: 17.5px 12.32px;
        }
    }

    @include mobile {
        max-width: 44px;
        padding: 20px 0 20px 0;


    }
}